Security Enhanced Linux Reference Policy

# Layer: services

## Module: kanidm

Tunables Interfaces

### Description:

A simple, secure and fast identity management platform

### Tunables:

kanidm_unixd_create_home_dirs

##### Default value

false

##### Description

Determine whether kanidm-unixd-tasks can create home directories via pam.

kanidm_unixd_modify_policy

##### Default value

false

##### Description

Determine whether kanidm-unixd-tasks can modify the SELinux policy. This is to create local equivalence file context rules which map usernames to their UUID, SPN, or other identifier.

Return

### Interfaces:

kanidm_admin( domain , role )

##### Summary

All of the rules required to administrate a Kanidm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

kanidm_domtrans( domain )

##### Summary

Execute kanidmd in the kanidmd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kanidm_domtrans_unixd( domain )

##### Summary

Execute kanidmd-unixd in the kanidmd-unixd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kanidm_read_config( domain )

##### Summary

Read kanidm config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kanidm_run( domain , role )

##### Summary

Execute kanidmd in the kanidmd domain, and allow the specified role the kanidmd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

kanidm_run_unixd( domain , role )

##### Summary

Execute kanidm-unixd in the kanidm-unixd domain, and allow the specified role the kanidm-unixd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

kanidm_unixd_stream_connect( domain )

##### Summary

Connect to kanidm-unixd with a domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return